
// 文字サイズチェンジ
$(function() {
    function changeFontSize(buttonID, className) {
        $('body').removeClass('f-small f-large');
        $('body').addClass(className);
        $('.current').removeClass('current');
        $(buttonID).addClass('current');
        try {
            localStorage.setItem('fontSizeClass', className);
            localStorage.setItem('currentButton', buttonID);
            localStorage.setItem('timestamp', new Date().getTime());
        } catch (e) {
            console.error("LocalStorage is not accessible.");
        }
    }

    var savedClassName = 'f-small';	//「大」をデフォルトにしたい場合は、ここを「f-large」に変更する。
    var savedButton = '#f-small';	//「大」をデフォルトにしたい場合は、ここを「#f-large」に変更する。
    try {
        var savedTime = localStorage.getItem('timestamp');
        var currentTime = new Date().getTime();
        // 1時間以上経過した場合
        if (currentTime - savedTime > 60 * 60 * 1000) {
            localStorage.removeItem('fontSizeClass');
            localStorage.removeItem('currentButton');
            localStorage.removeItem('timestamp');
        } else {
            savedClassName = localStorage.getItem('fontSizeClass') || savedClassName;
            savedButton = localStorage.getItem('currentButton') || savedButton;
        }
    } catch (e) {
        console.error("LocalStorage is not accessible.");
    }

    // ページロード時に前回の設定を読み込む
    if (savedClassName && savedButton) {
        changeFontSize(savedButton, savedClassName);
    } else {
        // 初期設定
        changeFontSize('#f-small', 'f-small');	//「大」をデフォルトにしたい場合は、ここを「#f-large」と「f-large」に変更する。
    }

    $('#f-small').click(function() {
        changeFontSize('#f-small', 'f-small');
    });

    $('#f-large').click(function() {
        changeFontSize('#f-large', 'f-large');
    });
});
